Bug 209923 - sci-electronics/gplcver-2.12a sed failed [with solution]
Bug#: 209923 Product:  Gentoo Linux Version: unspecified Platform: All
OS/Version: Linux Status: RESOLVED Severity: normal Priority: P2
Resolution: FIXED Assigned To: sci-electronics@gentoo.org Reported By: triffid_hunter@funkmunch.net
Component: Ebuilds
URL: 
Summary: sci-electronics/gplcver-2.12a sed failed [with solution]
Keywords:  
Status Whiteboard: 
Opened: 2008-02-12 21:29 0000
Description:   Opened: 2008-02-12 21:29 0000
>>> Emerging (1 of 366) sci-electronics/gplcver-2.12a to /
 * gplcver-2.12a.src.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                   
                                                                               
                                                         [ ok ]
 * checking ebuild checksums ;-) ...                                           
                                                                               
                                                         [ ok ]
 * checking auxfile checksums ;-) ...                                          
                                                                               
                                                         [ ok ]
 * checking miscfile checksums ;-) ...                                         
                                                                               
                                                         [ ok ]
 * checking gplcver-2.12a.src.tar.bz2 ;-) ...                                  
                                                                               
                                                         [ ok ]
>>> Unpacking source...
>>> Unpacking gplcver-2.12a.src.tar.bz2 to /var/tmp/portage/sci-electronics/gplcver-2.12a/work
 *
 * ERROR: sci-electronics/gplcver-2.12a failed.
 * Call stack:
 *               ebuild.sh, line   46:  Called src_unpack
 *             environment, line  141:  Called die
 * The specific snippet of code:
 *       sed -i -e "s/^CFLAGS/#CFLAGS/" -e "s/(CFLAGS)/(INCS) \$(CFLAGS)/" -e
"s/(LFLAGS)/(LFLAGS) \$(LDFLAGS)/" src/makefile.* | die "sed failed";
 *  The die message:
 *   sed failed
 *
 * If you need support, post the topmost build error, and the call stack if
relevant.
 * A complete build log is located at
'/var/log/portage/sci-electronics:gplcver-2.12a:20080212-210135.log'.
 * The ebuild environment file is located at
'/var/tmp/portage/sci-electronics/gplcver-2.12a/temp/environment'.
 *


Looks like someone put | (pipe) instead of || (or).

Here's a patch:

--- gplcver-2.12a.ebuild~       2008-02-13 07:22:48.000000000 +1000
+++ gplcver-2.12a.ebuild        2008-02-13 07:23:11.000000000 +1000
@@ -20,11 +20,11 @@
                -e "s/^CFLAGS/#CFLAGS/" \
                -e "s/(CFLAGS)/(INCS) \$(CFLAGS)/" \
                -e "s/(LFLAGS)/(LFLAGS) \$(LDFLAGS)/" \
-               src/makefile.* | die "sed failed"
+               src/makefile.* || die "sed failed"
        sed -i \
                -e "s/^CFLAGS/#CFLAGS/" \
                -e "s/(OPTFLGS) vcddiff.o/(LDFLAGS) vcddiff.o/" \
-               vcddiff.dir/src/makefile.* | die "sed failed"
+               vcddiff.dir/src/makefile.* || die "sed failed"
 }

 src_compile(){


After updating the ebuild as above, emerging succeeds.

------- Comment #1 From Denis Dupeyron 2008-02-12 22:34:15 0000 -------
(In reply to comment #0)
> Looks like someone put | (pipe) instead of || (or).

And I have a vague idea who that is... Shame on me. It's now fixed, thanks for
reporting it.

Denis.